<?php
/**
 * Theme Options.
 *
 * @package tour_travel_package
 */

$default = tour_travel_package_get_default_theme_options();

// Add Panel.
$wp_customize->add_panel( 'theme_option_panel',
	array(
	'title'      => __( 'Theme Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	)
);

// Typography Section.

$tour_travel_package_font_array = array(
	''                       => 'No Fonts',
	'Abril Fatface'          => 'Abril Fatface',
	'Acme'                   => 'Acme',
	'Anton'                  => 'Anton',
	'Architects Daughter'    => 'Architects Daughter',
	'Arimo'                  => 'Arimo',
	'Arsenal'                => 'Arsenal',
	'Arvo'                   => 'Arvo',
	'Alegreya'               => 'Alegreya',
	'Alfa Slab One'          => 'Alfa Slab One',
	'Averia Serif Libre'     => 'Averia Serif Libre',
	'Bangers'                => 'Bangers',
	'Boogaloo'               => 'Boogaloo',
	'Bad Script'             => 'Bad Script',
	'Bitter'                 => 'Bitter',
	'Bree Serif'             => 'Bree Serif',
	'BenchNine'              => 'BenchNine',
	'Cabin'                  => 'Cabin',
	'Cardo'                  => 'Cardo',
	'Courgette'              => 'Courgette',
	'Cherry Swash'           => 'Cherry Swash',
	'Cormorant Garamond'     => 'Cormorant Garamond',
	'Crimson Text'           => 'Crimson Text',
	'Cuprum'                 => 'Cuprum',
	'Cookie'                 => 'Cookie',
	'Chewy'                  => 'Chewy',
	'Days One'               => 'Days One',
	'Dosis'                  => 'Dosis',
	'Droid Sans'             => 'Droid Sans',
	'Economica'              => 'Economica',
	'Fredoka One'            => 'Fredoka One',
	'Fjalla One'             => 'Fjalla One',
	'Francois One'           => 'Francois One',
	'Frank Ruhl Libre'       => 'Frank Ruhl Libre',
	'Gloria Hallelujah'      => 'Gloria Hallelujah',
	'Great Vibes'            => 'Great Vibes',
	'Handlee'                => 'Handlee',
	'Hammersmith One'        => 'Hammersmith One',
	'Inconsolata'            => 'Inconsolata',
	'Indie Flower'           => 'Indie Flower',
	'IM Fell English SC'     => 'IM Fell English SC',
	'Julius Sans One'        => 'Julius Sans One',
	'Josefin Slab'           => 'Josefin Slab',
	'Josefin Sans'           => 'Josefin Sans',
	'Kanit'                  => 'Kanit',
	'Lobster'                => 'Lobster',
	'Lato'                   => 'Lato',
	'Lora'                   => 'Lora',
	'Libre Baskerville'      => 'Libre Baskerville',
	'Lobster Two'            => 'Lobster Two',
	'Merriweather'           => 'Merriweather',
	'Monda'                  => 'Monda',
	'Montserrat'             => 'Montserrat',
	'Muli'                   => 'Muli',
	'Marck Script'           => 'Marck Script',
	'Noto Serif'             => 'Noto Serif',
	'Open Sans'              => 'Open Sans',
	'Overpass'               => 'Overpass',
	'Overpass Mono'          => 'Overpass Mono',
	'Oxygen'                 => 'Oxygen',
	'Orbitron'               => 'Orbitron',
	'Patua One'              => 'Patua One',
	'Pacifico'               => 'Pacifico',
	'Padauk'                 => 'Padauk',
	'Playball'               => 'Playball',
	'Playfair Display'       => 'Playfair Display',
	'PT Sans'                => 'PT Sans',
	'Philosopher'            => 'Philosopher',
	'Permanent Marker'       => 'Permanent Marker',
	'Poiret One'             => 'Poiret One',
	'Quicksand'              => 'Quicksand',
	'Quattrocento Sans'      => 'Quattrocento Sans',
	'Raleway'                => 'Raleway',
	'Rubik'                  => 'Rubik',
	'Rokkitt'                => 'Rokkitt',
	'Russo One'              => 'Russo One',
	'Righteous'              => 'Righteous',
	'Slabo'                  => 'Slabo',
	'Source Sans Pro'        => 'Source Sans Pro',
	'Shadows Into Light Two' => 'Shadows Into Light Two',
	'Shadows Into Light'     => 'Shadows Into Light',
	'Sacramento'             => 'Sacramento',
	'Shrikhand'              => 'Shrikhand',
	'Tangerine'              => 'Tangerine',
	'Ubuntu'                 => 'Ubuntu',
	'VT323'                  => 'VT323',
	'Varela Round'           => 'Varela Round',
	'Vampiro One'            => 'Vampiro One',
	'Vollkorn'               => 'Vollkorn',
	'Volkhov'                => 'Volkhov',
	'Yanone Kaffeesatz'      => 'Yanone Kaffeesatz'
);

$wp_customize->add_section( 'tour_travel_package_typography',
	array(
	'title'      => __( 'Typography', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_body_font_family]',
	array(
	'default'           => $default['tour_travel_package_body_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_body_font_family]',
	array(
	'label'    => __( 'Body font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h1_font_family]',
	array(
	'default'           => $default['tour_travel_package_h1_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h1_font_family]',
	array(
	'label'    => __( 'H1 font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h1_font_size]',
	array(
	'default'           => $default['tour_travel_package_h1_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'theme_options[tour_travel_package_h1_font_size]',
	array(
	'label'    => __( 'H1 Font Size', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h2_font_family]',
	array(
	'default'           => $default['tour_travel_package_h2_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h2_font_family]',
	array(
	'label'    => __( 'H2 font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h2_font_size]',
	array(
	'default'           => $default['tour_travel_package_h2_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h2_font_size]',
	array(
	'label'    => __( 'H2 Font Size', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h3_font_family]',
	array(
	'default'           => $default['tour_travel_package_h3_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h3_font_family]',
	array(
	'label'    => __( 'H3 font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h3_font_size]',
	array(
	'default'           => $default['tour_travel_package_h3_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h3_font_size]',
	array(
	'label'    => __( 'H3 Font Size', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h4_font_family]',
	array(
	'default'           => $default['tour_travel_package_h4_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h4_font_family]',
	array(
	'label'    => __( 'H4 font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h4_font_size]',
	array(
	'default'           => $default['tour_travel_package_h4_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h4_font_size]',
	array(
	'label'    => __( 'H4 Font Size', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h5_font_family]',
	array(
	'default'           => $default['tour_travel_package_h5_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h5_font_family]',
	array(
	'label'    => __( 'H5 font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h5_font_size]',
	array(
	'default'           => $default['tour_travel_package_h5_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h5_font_size]',
	array(
	'label'    => __( 'H5 Font Size', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h6_font_family]',
	array(
	'default'           => $default['tour_travel_package_h6_font_family'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_choices',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h6_font_family]',
	array(
	'label'    => __( 'H6 font family', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'select',
	'choices'  => $tour_travel_package_font_array,
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_h6_font_size]',
	array(
	'default'           => $default['tour_travel_package_h6_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_h6_font_size]',
	array(
	'label'    => __( 'H6 Font Size', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_typography',
	'type'     => 'text',
	'priority' => 100,
	)
);

// Site title And tagline Option

$wp_customize->add_setting( 'theme_options[tour_travel_package_site_title_font_size]',
	array(
	'default'           => $default['tour_travel_package_site_title_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_site_title_font_size]',
	array(
	'label'    => __( 'Site Title Font Size', 'tour-travel-package' ),
	'section'  => 'title_tagline',
	'type'     => 'text',
	'priority' => 10,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_site_tagline_font_size]',
	array(
	'default'           => $default['tour_travel_package_site_tagline_font_size'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_site_tagline_font_size]',
	array(
	'label'    => __( 'Site Tagline Font Size', 'tour-travel-package' ),
	'section'  => 'title_tagline',
	'type'     => 'text',
	'priority' => 10,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_site_title_color]', array(
	'default'           => $default['tour_travel_package_site_title_color'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_hex_color',
	'priority' => 100,
));

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_options[tour_travel_package_site_title_color]', array(
	'label'       => __( 'Site Title Color', 'tour-travel-package' ),
	'section'     => 'title_tagline',
	'settings'    => 'theme_options[tour_travel_package_site_title_color]',
	'priority' => 10,
)));

// Premium features for site title
$wp_customize->add_setting( 'tour_travel_package_logo_premium_features', array(
    'default'           => '',
    'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tour_travel_package_logo_premium_features', array(
        'section'  => 'title_tagline',
        'priority' => 40,
        'type'        => 'hidden',
        'label'    => '',
        'description' => wp_kses_post('<div style="background:#ffffff; border-radius:10px; padding:18px 20px; border-left:5px solid #2271b1; box-shadow:0 3px 10px rgba(0,0,0,0.08) margin-top:10px;"><h3 style="color: #2271b1; margin-top:0; font-size:15px; margin-bottom:12px; font-weight:600;">'. esc_html__( 'Unlock Premium Features', 'tour-travel-package' ) . '</h3><ul style="margin:0 0 18px 20px; padding:0; color:#333; line-height:1.7;"><li style="list-style-type: lower-greek;">' . esc_html__( 'Advanced Logo Controls', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'Extended Typography Options', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'Premium Header Layouts', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'More Pro-Level Options', 'tour-travel-package' ) . '</li></ul><a href="'. esc_html(__( 'https://www.wpelemento.com/products/tour-package-wordpress-theme/', 'tour-travel-package') ) . '"  target="_blank" style="display:inline-block; padding:10px 22px; background:linear-gradient(135deg, #2592ebff, #1e4cb1ff); color:#fff; border-radius:6px;">'. esc_html__( 'Upgrade Now', 'tour-travel-package' ) . '<span style="margin-left:8px; font-weight:700;">➜</span></a></div>'),
    )
) );

// Global Color

$wp_customize->add_section( 'tour_travel_package_section_global_color', array(
	'title'      => __( 'Theme Color', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
));

$wp_customize->add_setting( 'theme_options[tour_travel_package_first_color]', array(
	'default'           => $default['tour_travel_package_first_color'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_hex_color',
));

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_options[tour_travel_package_first_color]', array(
	'label'       => __( 'Highlight Color', 'tour-travel-package' ),
	'description' => __( 'With a single click, you can change the highlight color of the inner page; use the Elementor editor for customization on the homepage.', 'tour-travel-package' ),
	'section'     => 'tour_travel_package_section_global_color',
	'settings'    => 'theme_options[tour_travel_package_first_color]',
)));


// General Option.
$wp_customize->add_section( 'section_general_option',
	array(
	'title'      => __( 'General Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

//Wow Animation
$wp_customize->add_setting(
    'tour_travel_package_animation',
    array(
        'default' => $default['tour_travel_package_animation'],
        'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'tour_travel_package_animation',
    array(
        'label' => esc_html__('Enable  Animation', 'tour-travel-package'),
        'section' => 'tour_travel_package_section_general_option',
        'type' => 'checkbox',
    )
);

// Cursor Dot Outline
$wp_customize->add_setting(
    'theme_options[tour_travel_package_enable_cursor_dot_outline]',
    array(
        'default' => $default['tour_travel_package_enable_cursor_dot_outline'],
        'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'theme_options[tour_travel_package_enable_cursor_dot_outline]',
    array(
        'label' => esc_html__('Enable Cursor Dot Outline', 'tour-travel-package'),
        'section' => 'section_general_option',
        'type' => 'checkbox',
    )
);

// Setting show scroll to top.
$wp_customize->add_setting( 'theme_options[show_scroll_to_top]',
	array(
	'default'           => $default['show_scroll_to_top'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_scroll_to_top]',
	array(
	'label'    => __( 'Show Scroll To Top', 'tour-travel-package' ),
	'section'  => 'section_general_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Post Featured Image Hover Effect
$wp_customize->add_setting(
    'theme_options[tour_travel_package_featured_image_hover]',
    array(
        'default'           => 'none',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'theme_options[tour_travel_package_featured_image_hover]',
    array(
        'label'   => esc_html__('Page & Post featured Image Hover Effect', 'tour-travel-package'),
        'section' => 'section_general_option', 
        'type'    => 'select',
		'priority' => 999,
        'choices' => array(
            'none'      => esc_html__('None', 'tour-travel-package'),
            'zoom-in'   => esc_html__('Zoom In', 'tour-travel-package'),
            'zoom-out'  => esc_html__('Zoom Out', 'tour-travel-package'),
            'scale'     => esc_html__('Scale', 'tour-travel-package'),
            'grayscale' => esc_html__('Grayscale', 'tour-travel-package'),
            'blur'      => esc_html__('Blur', 'tour-travel-package'),
            'bright'    => esc_html__('Bright', 'tour-travel-package'),
            'sepia'     => esc_html__('Sepia', 'tour-travel-package'),
            'translate' => esc_html__('Translate', 'tour-travel-package'),
        ),
    )
);

// Setting show Preloader.
$wp_customize->add_setting( 'theme_options[show_preloader_setting]',
	array(
	'default'           => $default['show_preloader_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_preloader_setting]',
	array(
	'label'    => __( 'Show Preloader', 'tour-travel-package' ),
	'section'  => 'section_general_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting Preloader Background image.

$wp_customize->add_setting( 'theme_options[tour_travel_package_show_preloader_background_image]',
	array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control( new WP_Customize_Image_Control(
	$wp_customize,
	'theme_options[tour_travel_package_show_preloader_background_image]',
	array(
		'label'    => __( 'Preloader Background Image', 'tour-travel-package' ),
		'section'  => 'section_general_option',
		'priority' => 100,
	)
));

// Setting show Sticky Header.
$wp_customize->add_setting( 'theme_options[show_data_sticky_setting]',
	array(
	'default'           => $default['show_data_sticky_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_data_sticky_setting]',
	array(
	'label'    => __( 'Show Sticky Header', 'tour-travel-package' ),
	'section'  => 'section_general_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Post Option.
$wp_customize->add_section( 'section_post_option',
	array(
	'title'      => __( 'Post Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Setting show Post date.
$wp_customize->add_setting( 'theme_options[show_post_date_setting]',
	array(
	'default'           => $default['show_post_date_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_date_setting]',
	array(
	'label'    => __( 'Show Post Date', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post Heading.
$wp_customize->add_setting( 'theme_options[show_post_heading_setting]',
	array(
	'default'           => $default['show_post_heading_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_heading_setting]',
	array(
	'label'    => __( 'Show Post Heading', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post admin.
$wp_customize->add_setting( 'theme_options[show_post_admin_setting]',
	array(
	'default'           => $default['show_post_admin_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_admin_setting]',
	array(
	'label'    => __( 'Show Post Admin', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post Categories.
$wp_customize->add_setting( 'theme_options[show_post_categories_setting]',
	array(
	'default'           => $default['show_post_categories_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_categories_setting]',
	array(
	'label'    => __( 'Show Post Categories', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post Comments.
$wp_customize->add_setting( 'theme_options[show_post_comments_setting]',
	array(
	'default'           => $default['show_post_comments_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_comments_setting]',
	array(
	'label'    => __( 'Show Post Comments', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post Featured Image.
$wp_customize->add_setting( 'theme_options[show_post_featured_image_setting]',
	array(
	'default'           => $default['show_post_featured_image_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_featured_image_setting]',
	array(
	'label'    => __( 'Show Post Featured Image', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post Tags.
$wp_customize->add_setting( 'theme_options[show_post_tags_setting]',
	array(
	'default'           => $default['show_post_tags_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_tags_setting]',
	array(
	'label'    => __( 'Show Post Tags', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show Post time.
$wp_customize->add_setting( 'theme_options[tour_travel_package_show_post_time_setting]',
	array(
		'default'           => $default['tour_travel_package_show_post_time_setting'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_show_post_time_setting]',
	array(
		'label'    => __( 'Show Post Time', 'tour-travel-package' ),
		'section'  => 'section_post_option',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

// Setting show Post Content.
$wp_customize->add_setting( 'theme_options[show_post_content_setting]',
	array(
	'default'           => $default['show_post_content_setting'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_post_content_setting]',
	array(
	'label'    => __( 'Show Post Full Content', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting show to First Cap

$wp_customize->add_setting( 'theme_options[tour_travel_package_show_first_caps]',
	array(
	'default'           => $default['tour_travel_package_show_first_caps'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_show_first_caps]',
	array(
	'label'    => __( 'First Cap (First Capital Letter)', 'tour-travel-package' ),
	'section'  => 'section_post_option',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Related post

$wp_customize->add_section( 'tour_travel_package_related_post_option',
	array(
	'title'      => __( 'Related Post Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting(
    'theme_options[tour_travel_package_enable_related_post]',
    array(
        'default' => $default['tour_travel_package_enable_related_post'],
        'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'theme_options[tour_travel_package_enable_related_post]',
    array(
        'label' => esc_html__('Enable Related post', 'tour-travel-package'),
        'section' => 'tour_travel_package_related_post_option',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'theme_options[tour_travel_package_enable_related_post_image]',
    array(
        'default' => $default['tour_travel_package_enable_related_post_image'],
        'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'theme_options[tour_travel_package_enable_related_post_image]',
    array(
        'label' => esc_html__('Enable Related post Image', 'tour-travel-package'),
        'section' => 'tour_travel_package_related_post_option',
        'type' => 'checkbox',
    )
);

// Header Section.
$wp_customize->add_section( 'section_header',
	array(
	'title'      => __( 'Header Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Setting show_title.
$wp_customize->add_setting( 'theme_options[show_title]',
	array(
	'default'           => $default['show_title'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_title]',
	array(
	'label'    => __( 'Show Site Title', 'tour-travel-package' ),
	'section'  => 'section_header',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);
// Setting show_tagline.
$wp_customize->add_setting( 'theme_options[show_tagline]',
	array(
	'default'           => $default['show_tagline'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_tagline]',
	array(
	'label'    => __( 'Show Tagline', 'tour-travel-package' ),
	'section'  => 'section_header',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Setting announcement_text
$wp_customize->add_setting( 'theme_options[header_phone_text]',
	array(
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[header_phone_text]',
	array(
	'label'    => __( 'Add Phone Text', 'tour-travel-package' ),
	'section'  => 'section_header',
	'type'     => 'text',
	'priority' => 100,
	)
);

// Setting announcement link
$wp_customize->add_setting( 'theme_options[header_phone_number]',
	array(
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'theme_options[header_phone_number]',
	array(
	'label'    => __( 'Add Phone Number', 'tour-travel-package' ),
	'section'  => 'section_header',
	'type'     => 'text',
	'priority' => 100,
	)
);

// Premium features box for header section
$wp_customize->add_setting( 'tour_travel_package_header_premium_features', array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( new WP_Customize_Control($wp_customize, 'tour_travel_package_header_premium_features', array(
        'section'     => 'tour_travel_package_section_header',
        'priority'    => 100, 
        'type'        => 'hidden',
        'label'       => '', 
        'description' => wp_kses_post('<div style="background:#ffffff; border-radius:10px; padding:18px 20px; border-left:5px solid #2271b1; box-shadow:0 3px 10px rgba(0,0,0,0.08) margin-top:10px;"><h3 style="color: #2271b1; margin-top:0; font-size:15px; margin-bottom:12px; font-weight:600;">'. esc_html__( 'Unlock Premium Features', 'tour-travel-package' ) . '</h3><ul style="margin:0 0 18px 20px; padding:0; color:#333; line-height:1.7;"><li style="list-style-type: lower-greek;">' . esc_html__( 'Set custom header colors', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'Fine-tune icon & text sizing', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'Use advanced font styling', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'More Pro-Level Options', 'tour-travel-package' ) . '</li></ul><a href="'. esc_html(__( 'https://www.wpelemento.com/products/tour-package-wordpress-theme/', 'tour-travel-package') ) . '"  target="_blank" style="display:inline-block; padding:10px 22px; background:linear-gradient(135deg, #2592ebff, #1e4cb1ff); color:#fff; border-radius:6px;">'. esc_html__( 'Upgrade Now', 'tour-travel-package' ) . '<span style="margin-left:8px; font-weight:700;">➜</span></a></div>'),
    )
) );

// Layout Section.
$wp_customize->add_section( 'section_layout',
	array(
	'title'      => __( 'Layout Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Setting global_layout.
$wp_customize->add_setting( 'theme_options[global_layout]',
	array(
	'default'           => $default['global_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[global_layout]',
	array(
	'label'    => __( 'Global Layout', 'tour-travel-package' ),
	'section'  => 'section_layout',
	'type'     => 'select',
	'choices'  => tour_travel_package_get_global_layout_options(),
	'priority' => 100,
	)
);

// Setting archive_layout.
$wp_customize->add_setting( 'theme_options[archive_layout]',
	array(
	'default'           => $default['archive_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[archive_layout]',
	array(
	'label'    => __( 'Archive Layout', 'tour-travel-package' ),
	'section'  => 'section_layout',
	'type'     => 'select',
	'choices'  => tour_travel_package_get_archive_layout_options(),
	'priority' => 100,
	)
);
// Setting archive_image.
$wp_customize->add_setting( 'theme_options[archive_image]',
	array(
	'default'           => $default['archive_image'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[archive_image]',
	array(
	'label'    => __( 'Image in Archive', 'tour-travel-package' ),
	'section'  => 'section_layout',
	'type'     => 'select',
	'choices'  => tour_travel_package_get_image_sizes_options( true, array( 'disable', 'thumbnail', 'medium', 'large' ), false ),
	'priority' => 100,
	)
);
// Setting archive_image_alignment.
$wp_customize->add_setting( 'theme_options[archive_image_alignment]',
	array(
	'default'           => $default['archive_image_alignment'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[archive_image_alignment]',
	array(
	'label'           => __( 'Image Alignment in Archive', 'tour-travel-package' ),
	'section'         => 'section_layout',
	'type'            => 'select',
	'choices'         => tour_travel_package_get_image_alignment_options(),
	'priority'        => 100,
	'active_callback' => 'tour_travel_package_is_image_in_archive_active',
	)
);
// Setting single_image.
$wp_customize->add_setting( 'theme_options[single_image]',
	array(
	'default'           => $default['single_image'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[single_image]',
	array(
	'label'    => __( 'Image in Single Post/Page', 'tour-travel-package' ),
	'section'  => 'section_layout',
	'type'     => 'select',
	'choices'  => tour_travel_package_get_image_sizes_options( true, array( 'disable', 'large' ), false ),
	'priority' => 100,
	)
);

// 404 Page Setting

$wp_customize->add_section( 'tour_travel_package_404_page',
	array(
	'title'      => __( '404 Page Settings', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_404_page_title]',
	array(
	'default'           => $default['tour_travel_package_404_page_title'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'theme_options[tour_travel_package_404_page_title]',
	array(
	'label'    => __( 'Add Title', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_404_page',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_404_page_text]',
	array(
	'default'           => $default['tour_travel_package_404_page_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'theme_options[tour_travel_package_404_page_text]',
	array(
	'label'    => __( 'Add Text', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_404_page',
	'type'     => 'text',
	'priority' => 100,
	)
);

// No Results Page Setting

$wp_customize->add_section( 'tour_travel_package_no_result_page',
	array(
	'title'      => __( 'No Results Page Settings', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_no_result_title]',
	array(
	'default'           => $default['tour_travel_package_no_result_title'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'theme_options[tour_travel_package_no_result_title]',
	array(
	'label'    => __( 'Add Title', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_no_result_page',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_no_result_text]',
	array(
	'default'           => $default['tour_travel_package_no_result_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'theme_options[tour_travel_package_no_result_text]',
	array(
	'label'    => __( 'Add Text', 'tour-travel-package' ),
	'section'  => 'tour_travel_package_no_result_page',
	'type'     => 'text',
	'priority' => 100,
	)
);

// Footer Section.
$wp_customize->add_section( 'section_footer',
	array(
	'title'      => __( 'Footer Options', 'tour-travel-package' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_footer_background_color]', array(
	'default'           => $default['tour_travel_package_footer_background_color'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_hex_color',
	'priority' => 100,
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_options[tour_travel_package_footer_background_color]', array(
	'label'       => __( 'Footer Background Color', 'tour-travel-package' ),
	'section'     => 'section_footer',
	'settings'    => 'theme_options[tour_travel_package_footer_background_color]',
	'priority' => 100,
)));

$wp_customize->add_setting( 'theme_options[tour_travel_package_show_copyright_box_setting]',
	array(
		'default'           => $default['tour_travel_package_show_copyright_box_setting'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_show_copyright_box_setting]',
	array(
		'label'    => __( 'Show Copyright Box', 'tour-travel-package' ),
		'section'  => 'section_footer',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

// Setting copyright_text.
$wp_customize->add_setting( 'theme_options[copyright_text]',
	array(
	'default'           => $default['copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_textarea_content',
	'transport'         => 'postMessage',
	)
);
$wp_customize->add_control( 'theme_options[copyright_text]',
	array(
	'label'    => __( 'Copyright Text', 'tour-travel-package' ),
	'section'  => 'section_footer',
	'type'     => 'text',
	'priority' => 100,
	)
);

$wp_customize->add_setting('theme_options[tour_travel_package_copyright_text_align]',
	array(
	'capability'        => 'edit_theme_options',
	'default' 			=> $default['tour_travel_package_copyright_text_align'],
	'sanitize_callback' => 'tour_travel_package_sanitize_choices'
));
$wp_customize->add_control('theme_options[tour_travel_package_copyright_text_align]',array(
	'type' => 'radio',
	'label' => __('Copyright Text Alignment','tour-travel-package'),
	'section' => 'section_footer',
	'priority' => 100,
	'choices' => array(
		'left' => __('Left Align','tour-travel-package'),
		'right' => __('Right Align','tour-travel-package'),
		'center' => __('Center Align','tour-travel-package'),
	),
) );

$wp_customize->add_setting( 'theme_options[tour_travel_package_copyright_text_font_size]',
	array(
	'capability'        => 'edit_theme_options',
	'default'           => $default['tour_travel_package_copyright_text_font_size'],
	'transport'            => 'refresh',
    'sanitize_callback'    => 'absint',
    'sanitize_js_callback' => 'absint',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_copyright_text_font_size]',
	array(
	'label'    => __( 'Copyright Font Size', 'tour-travel-package' ),
	'section'  => 'section_footer',
	'type'     => 'number',
	'priority' => 100,
	)
);

$wp_customize->add_setting( 'theme_options[tour_travel_package_copyright_background_color]', array(
	'default'           => $default['tour_travel_package_copyright_background_color'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_hex_color',
	'priority' => 100,
));

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_options[tour_travel_package_copyright_background_color]', array(
	'label'       => __( 'Copyright background Color', 'tour-travel-package' ),
	'section'     => 'section_footer',
	'settings'    => 'theme_options[tour_travel_package_copyright_background_color]',
	'priority' => 100,
)));

$wp_customize->add_setting( 'theme_options[tour_travel_package_copyright_text_color]', array(
	'default'           => $default['tour_travel_package_copyright_text_color'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_hex_color',
	'priority' => 100,
));

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_options[tour_travel_package_copyright_text_color]', array(
	'label'       => __( 'Copyright Text Color', 'tour-travel-package' ),
	'section'     => 'section_footer',
	'settings'    => 'theme_options[tour_travel_package_copyright_text_color]',
	'priority' => 100,
)));

$wp_customize->add_setting( 'theme_options[tour_travel_package_copyright_sticky]',
	array(
	'default'           => $default['tour_travel_package_copyright_sticky'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'tour_travel_package_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[tour_travel_package_copyright_sticky]',
	array(
	'label'    => __( 'Show Sticky Copyright', 'tour-travel-package' ),
	'section'  => 'section_footer',
	'type'     => 'checkbox',
	'priority' => 100,
	)
);

// Premium features box for footer section
$wp_customize->add_setting( 'tour_travel_package_footer_premium_features', array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize,'tour_travel_package_footer_premium_features', array(
        'section'     => 'section_footer',
        'priority'    => 100,
        'type'        => 'hidden', 
        'label'       => '', 
        'description' => wp_kses_post('<div style="background:#ffffff; border-radius:10px; padding:18px 20px; border-left:5px solid #2271b1; box-shadow:0 3px 10px rgba(0,0,0,0.08) margin-top:10px;"><h3 style="color: #2271b1; margin-top:0; font-size:15px; margin-bottom:12px; font-weight:600;">'. esc_html__( 'Unlock Premium Features', 'tour-travel-package' ) . '</h3><ul style="margin:0 0 18px 20px; padding:0; color:#333; line-height:1.7;"><li style="list-style-type: lower-greek;">' . esc_html__( 'Customize your footer layout', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'Add an email signup form', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'Style your social icons', 'tour-travel-package' ) . '</li><li style="list-style-type: lower-greek;">'. esc_html__( 'More Pro-Level Options', 'tour-travel-package' ) . '</li></ul><a href="'. esc_html(__( 'https://www.wpelemento.com/products/tour-package-wordpress-theme/', 'tour-travel-package') ) . '"  target="_blank" style="display:inline-block; padding:10px 22px; background:linear-gradient(135deg, #2592ebff, #1e4cb1ff); color:#fff; border-radius:6px;">'. esc_html__( 'Upgrade Now', 'tour-travel-package' ) . '<span style="margin-left:8px; font-weight:700;">➜</span></a></div>'),
    )
) );

/* ===============================
   WooCommerce Settings Section
================================= */

if ( class_exists( 'WooCommerce' ) ) {

	$wp_customize->add_section(
		'tour_travel_package_woocommerce_settings',
		array(
			'title'    => __( 'WooCommerce Settings', 'tour-travel-package' ),
			'panel'    => 'woocommerce',
			'priority' => 100,
		)
	);
}

// Product Featured Image Hover Effect
$wp_customize->add_setting(
    'theme_options[tour_travel_package_product_featured_image_hover]',
    array(
        'default'           => 'none',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'theme_options[tour_travel_package_product_featured_image_hover]',
    array(
        'label'   => esc_html__('Products Featured Image Hover Effect', 'tour-travel-package'),
        'section' => 'tour_travel_package_woocommerce_settings', 
        'type'    => 'select',
		'priority' => 999,
        'choices' => array(
            'none'      => esc_html__('None', 'tour-travel-package'),
            'zoom-in'   => esc_html__('Zoom In', 'tour-travel-package'),
            'zoom-out'  => esc_html__('Zoom Out', 'tour-travel-package'),
            'scale'     => esc_html__('Scale', 'tour-travel-package'),
            'grayscale' => esc_html__('Grayscale', 'tour-travel-package'),
            'blur'      => esc_html__('Blur', 'tour-travel-package'),
            'bright'    => esc_html__('Bright', 'tour-travel-package'),
            'sepia'     => esc_html__('Sepia', 'tour-travel-package'),
            'translate' => esc_html__('Translate', 'tour-travel-package'),
        ),
    )
);